#include "CivPoint.h"

CivPoint::CivPoint(double x, double y, double z)
	:mX(x),mY(y),mZ(z)
{

}

CivPoint CivPoint::operator=(const CivPoint& others)
{
	return CivPoint(others.mX, others.mY, others.mZ);
}

bool CivPoint::operator==(const CivPoint& others)
{
	return mX == others.mX &&
		mY == others.mY && 
		mZ == others.mZ;
}